Skip to content
Start here

Delete logo query

brand_protection.v2.logos.delete(strquery_id, LogoDeleteParams**kwargs) -> LogoDeleteResponse
DELETE/accounts/{account_id}/cloudforce-one/v2/brand-protection/logo/queries/{query_id}

Delete a saved brand protection logo query. Returns 404 if the query ID doesn't exist.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One Write
ParametersExpand Collapse
account_id: str
minLength1
query_id: str
minLength1
ReturnsExpand Collapse
class LogoDeleteResponse:
message: str
success: bool

Delete logo query

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
logo = client.brand_protection.v2.logos.delete(
    query_id="x",
    account_id="x",
)
print(logo.message)
{
  "message": "message",
  "success": true
}
Returns Examples
{
  "message": "message",
  "success": true
}